{% extends "security/layout.html.twig" %}

{% block title %}{{ 'Noël en famille'|trans({}, 'main') }} - Vérification d'email{% endblock %}

{% trans_default_domain 'registration' %}

{% block menu %}{% endblock %}

{% block fos_user_content %}
    <div class="row justify-content-md-center">
        <div class="col-sm-12">
            <div class="header alert alert-info">
                <h1 class="row">
                    <span class="title align-center col-md-12">{{ 'registration.activate_user'|trans({}, 'registration') }}</span>
                </h1>
            </div>
        </div>
    </div>
    <div class="row justify-content-md-center">
        <div class="col-sm-12">
            <p class="alert alert-warning align-center">
                {{ 'registration.check_mail'|trans({'%email%': user.email})|raw }}<br/>
                {{ 'registration.check_mail2'|trans }}<br/><br/>
                {{ 'registration.check_mail3'|trans }}<br/><br/>
                <span class="resend_check_email_link text-red">
                    {{ 'registration.check_mail2_bis'|trans({'%url%': path('register_resend_check_email', {'email': user.email})})|raw }}
                </span>
            </p>
        </div>
        <div class="col-sm-12 response">
        </div>
    </div>
{% endblock fos_user_content %}

{% block special_javascript2 %}
    {% include 'LauncherBundle:inc:javascripts.html.twig' %}
    <script>
        $('.resend_check_email').on('click', function(e){
            e.preventDefault();
            var url = $(this).attr('href');
            $.ajax({
              url: url,
              data: {},
              method: 'POST'
            }).done(function( data ) {
                if(data && data.error === undefined) {
                    $('.resend_check_email_link').remove();
                    $('.response').html(getAlert('alert-success align-center', transRegistration.success.resendcheck));
                } else if(data.error){
                    console.log(data);
                }
            });
        })
    </script>
{% endblock %}
